rte_ml_dev_config(3)

NAME
rte_ml_dev_config

SYNOPSIS

#include <rte_mldev.h>

  Data Fields

int socket_id
uint16_t nb_models
uint16_t nb_queue_pairs

Detailed Description

ML device configuration structure

Definition at line 259 of file rte_mldev.h.

Field Documentation

  int socket_id
Socket to allocate resources on.

Definition at line 260 of file rte_mldev.h.

  uint16_t nb_models
Number of models to be loaded on the device. This value cannot exceed the max_models which is previously provided in struct rte_ml_dev_info::max_models

Definition at line 262 of file rte_mldev.h.

  uint16_t nb_queue_pairs
Number of queue pairs to configure on this device. This value cannot exceed the max_models which is previously provided in struct rte_ml_dev_info::max_queue_pairs

Definition at line 267 of file rte_mldev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.